Subject: Re: next-0630: sparc64: build failed

From: "Abhishek Sagar" <[email-masked]>
Date: Wed, 2 Jul 2008 09:52:59 +0530

On Wed, Jul 2, 2008 at 1:33 AM, Ingo Molnar <[email-masked]> wrote:
> hm, mcount is the facility - so it makes sense to have that defined.
> Here you basically hide CONFIG_MCOUNT:
>
>> -ifeq ($(CONFIG_MCOUNT),y)
>> -  KBUILD_CFLAGS += -pg
>> +ifneq ($(CONFIG_FTRACE),y)
>> +ifeq ($(CONFIG_STACK_DEBUG),y)
>> +KBUILD_CFLAGS += -pg
>> +endif
>>  endif

Even with CONFIG_MCOUNT we'd have to do something like this to prevent
duplicate -pg flags (I hope there's a prettier way of writing this):

ifneq ($(CONFIG_FTRACE),y)
ifeq ($(CONFIG_MCOUNT),y)
KBUILD_CFLAGS += -pg
endif
endif

> via two conditions. I'm not sure that's a win and i found CONFIG_MCOUNT
> a logical switch - but it's David's call.

Ok, but it really doesn't allow end user to switch between anything
through any menu. It gets selected via:

config MCOUNT
        bool
        depends on STACK_DEBUG || FTRACE
        default y

I was attempting to decouple MCOUNT and STACK_DEBUG, which
incidentally made MCOUNT useless.

--
Regards,
Abhishek Sagar